AnnotationIntrospector.ReferenceProperty (Jackson JSON Processor)
Date: 2013-07-14

org.codehaus.jackson.map

## Class AnnotationIntrospector.ReferenceProperty

- java.lang.Object
- - org.codehaus.jackson.map.AnnotationIntrospector.ReferenceProperty

- Enclosing class:
    AnnotationIntrospector

      public static class AnnotationIntrospector.ReferenceProperty
      extends Object

  Value type used with managed and back references; contains type and logic name, used to link related references
  Since:
    1.6

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AnnotationIntrospector.ReferenceProperty.Type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnnotationIntrospector.ReferenceProperty(AnnotationIntrospector.ReferenceProperty.Type t, String n)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AnnotationIntrospector.ReferenceProperty` | `back(String name)`
    `String` | `getName()`
    `AnnotationIntrospector.ReferenceProperty.Type` | `getType()`
    `boolean` | `isBackReference()`
    `boolean` | `isManagedReference()`
    `static AnnotationIntrospector.ReferenceProperty` | `managed(String name)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnnotationIntrospector.ReferenceProperty

          public AnnotationIntrospector.ReferenceProperty(AnnotationIntrospector.ReferenceProperty.Type t,
                                                  String n)

  - ### Method Detail

    - #### managed

          public static AnnotationIntrospector.ReferenceProperty managed(String name)

    - #### back

          public static AnnotationIntrospector.ReferenceProperty back(String name)

    - #### getType

          public AnnotationIntrospector.ReferenceProperty.Type getType()

    - #### getName

          public String getName()

    - #### isManagedReference

          public boolean isManagedReference()

    - #### isBackReference

          public boolean isBackReference()